Bug 1040500 - Solaris 10 U11 network doesn't work when x2apic enabled
Summary: Solaris 10 U11 network doesn't work when x2apic enabled
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-11 14:21 UTC by Frank Büttner
Modified: 2015-12-11 20:43 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-14 14:24:01 UTC
Type: Bug


Attachments (Terms of Use)

Description Frank Büttner 2013-12-11 14:21:23 UTC
Description of problem:
When try to set up Solaris 10 U11 under KVM with the e100 nic, the network can be configured, the nic is shown under solaris, but it is unable to send network packages. 

Version-Release number of selected component (if applicable):
qemu-system-x86:  qemu-system-x86-1.4.2-14.fc19.x86_64
Kernel: kernel-3.11.10-200.fc19.x86_64


Steps to Reproduce:
1. set up an new vm select e1000 as network emulation.
2. configure the network at the solaris install
3. after installation try to use the network.

Actual results:
An simple icmp ping will fail.


Expected results:
An working network in the virtual machine.

Additional info:
Used iso images for installation: sol-10-u11-ga-x86-dvd.iso
http://www.linux-kvm.org/page/Guest_Support_Status#UNIX_Family:_Solaris.2FOpenSolaris
Say's that Solaris will run under kvm.

Comment 1 Richard W.M. Jones 2013-12-12 09:05:06 UTC
Solaris disk image can be downloaded from:
http://ftp2.pl.freebsd.org/pub/Solaris/10/

Comment 2 Christophe Fergeau 2013-12-12 10:13:49 UTC
(In reply to Frank Büttner from comment #0)
> Description of problem:
> When try to set up Solaris 10 U11 under KVM with the e100 nic, the network
> can be configured, the nic is shown under solaris, but it is unable to send
> network packages. 
> 
> Version-Release number of selected component (if applicable):
> qemu-system-x86:  qemu-system-x86-1.4.2-14.fc19.x86_64
> Kernel: kernel-3.11.10-200.fc19.x86_64
> 
> 
> Steps to Reproduce:
> 1. set up an new vm select e1000 as network emulation.
> 2. configure the network at the solaris install
> 3. after installation try to use the network.
> 
> Actual results:
> An simple icmp ping will fail.

Depending on the networking method used, ping may not work inside the VM. Have you tried for example connecting to some (working) website from a browser, or just using netcat to a remote host?

Comment 3 Frank Büttner 2013-12-12 11:41:54 UTC
Trying to get an IP via DHCP will fail.
And using static an static IP and test DNS will also fail.
dig www.google.com for example.

Comment 4 Sergio Pascual 2014-10-10 15:29:59 UTC
This thread may be related

http://lists.ovirt.org/pipermail/users/2013-February/012319.html

they say something about disabling acpi

Comment 5 Fedora End Of Life 2015-01-09 20:50:07 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Sergio Pascual 2015-01-12 09:45:23 UTC
As far as I can see, this is still a problem in Fedora 21

Comment 7 Benjamin Coddington 2015-04-08 11:55:37 UTC
Networking was broken by 

ef02ef5f453 target-i386: Enable x2apic by default on KVM

See:
https://bugs.launchpad.net/qemu/+bug/1395217

A verified work-around would be to add '-cpu ...,-x2apic' to the qemu command-line.  In libvirt, edit the VM's xml, add the qemu:commandline xml namespace:

<domain type='kvm' xmlns:qemu='http://libvirt.org/schemas/domain/qemu/1.0'>

then, something like:

  <qemu:commandline>
    <qemu:arg value='-cpu'/>
    <qemu:arg value='SandyBridge,-x2apic'/>
  </qemu:commandline>

A decent fix might be to add this cpu flag for the solaris machine type.

Comment 8 Cole Robinson 2015-04-08 18:10:20 UTC
Interesting. I added a reference on the launchpad bug to this issue.

FWIW the native libvirt XML is:

<cpu>
  <model>SandyBridge</model>
  <feature name="x2apic" policy="disable"/>
</cpu>

But I'd rather qemu/kvm gets the fix here than tools start disabling x2apic

Comment 9 Jan Vlug 2015-09-22 08:39:58 UTC
See also bug 1262093.

Comment 10 Cole Robinson 2015-10-14 14:24:01 UTC
There's an upstream qemu bug about this with more info:

https://bugs.launchpad.net/qemu/+bug/1395217

So I'm just closing this bug. The end user 'fix' here will likely be virt-manager changing defaults as suggested in bug 1262093


Note You need to log in before you can comment on or make changes to this bug.